<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:51 CEST 2015 -->
<title>Bank</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Bank";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/ATBankdatei.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" target="_top">Frames</a></li>
<li><a href="Bank.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.SEPA.BankenDaten</div>
<h2 title="Class Bank" class="title">Class Bank</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.SEPA.BankenDaten.Bank</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Bank</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#bezeichnung">bezeichnung</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#bic">bic</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#blz">blz</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#hinweisloeschung">hinweisloeschung</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#ibanregel">ibanregel</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#land">land</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#pruefziffernmethode">pruefziffernmethode</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#Bank(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">Bank</a></strong>(java.lang.String&nbsp;land,
    java.lang.String&nbsp;bezeichnung,
    java.lang.String&nbsp;blz,
    java.lang.String&nbsp;bic,
    java.lang.String&nbsp;pruefziffernmethode,
    java.lang.String&nbsp;ibanregel,
    java.lang.String&nbsp;hinweisloeschung)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getBezeichnung()">getBezeichnung</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getBIC()">getBIC</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getBLZ()">getBLZ</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getHinweisloeschung()">getHinweisloeschung</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getIBANRegel()">getIBANRegel</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getLand()">getLand</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#getPruefziffernmethode()">getPruefziffernmethode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="land">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>land</h4>
<pre>private&nbsp;java.lang.String land</pre>
</li>
</ul>
<a name="bezeichnung">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bezeichnung</h4>
<pre>private&nbsp;java.lang.String bezeichnung</pre>
</li>
</ul>
<a name="blz">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blz</h4>
<pre>private&nbsp;java.lang.String blz</pre>
</li>
</ul>
<a name="bic">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bic</h4>
<pre>private&nbsp;java.lang.String bic</pre>
</li>
</ul>
<a name="pruefziffernmethode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pruefziffernmethode</h4>
<pre>private&nbsp;java.lang.String pruefziffernmethode</pre>
</li>
</ul>
<a name="ibanregel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ibanregel</h4>
<pre>private&nbsp;java.lang.String ibanregel</pre>
</li>
</ul>
<a name="hinweisloeschung">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hinweisloeschung</h4>
<pre>private&nbsp;java.lang.String hinweisloeschung</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Bank(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Bank</h4>
<pre>public&nbsp;Bank(java.lang.String&nbsp;land,
    java.lang.String&nbsp;bezeichnung,
    java.lang.String&nbsp;blz,
    java.lang.String&nbsp;bic,
    java.lang.String&nbsp;pruefziffernmethode,
    java.lang.String&nbsp;ibanregel,
    java.lang.String&nbsp;hinweisloeschung)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLand()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLand</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLand()</pre>
</li>
</ul>
<a name="getBezeichnung()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBezeichnung</h4>
<pre>public&nbsp;java.lang.String&nbsp;getBezeichnung()</pre>
</li>
</ul>
<a name="getBLZ()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBLZ</h4>
<pre>public&nbsp;java.lang.String&nbsp;getBLZ()</pre>
</li>
</ul>
<a name="getBIC()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBIC</h4>
<pre>public&nbsp;java.lang.String&nbsp;getBIC()</pre>
</li>
</ul>
<a name="getPruefziffernmethode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPruefziffernmethode</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPruefziffernmethode()</pre>
</li>
</ul>
<a name="getIBANRegel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIBANRegel</h4>
<pre>public&nbsp;java.lang.String&nbsp;getIBANRegel()</pre>
</li>
</ul>
<a name="getHinweisloeschung()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHinweisloeschung</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHinweisloeschung()</pre>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/ATBankdatei.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" target="_top">Frames</a></li>
<li><a href="Bank.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
